function y = computeOutputs(nodeCount, x, W, logisticWeight)

% This function will compute the output at every node for a system with 
% the given geometry, input, weights, and logistic weighting (in the activation
% function).

% Insert the input as the 1st layer, including the bias
y{1} = x;
y{1}(length(x)+1) = 1;

% Process each layer of weights
for layer=1:length(nodeCount)-1;
    
    % Every layer has a bias node
    y{layer}(length(y{layer})) = 1;
    
    % Find the outputs for this layer
    v{layer} = dot(repmat(y{layer}, size(W{layer}, 1), 1)', W{layer}');
    y{layer+1} = activation(v{layer}, logisticWeight);
    
end;

return
